﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace DragDropToDifferentViews
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            ViewSource1 = new ObservableCollection<Data>();
            ViewSource2 = new ObservableCollection<Data>();

            for (int i = 0; i < 10; i++)
            {
                ViewSource1.Add(new Data { ID = i, Name = "V1 Name " + i });
                ViewSource2.Add(new Data { ID = i, Name = "V2 Name " + i });
            }
        }

        public ObservableCollection<Data> ViewSource1 { get; set; }
        public ObservableCollection<Data> ViewSource2 { get; set; }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
